#!/bin/sh
# convertit un reperoite exp informix en requete dump mariadb
test "$1" || exec echo "$0 : il manque un nom de base en parametre"
test -d $1.exp || exec echo "$0 : il manque le repertoire $1.exp"
test -f $1.exp/$1.sql || exec echo "$0 : il manque la requete $1.exp/$1.sql"

FTEMP=$(mktemp)
sed 's/".*"\.//g' $1.exp/$1.sql > $FTEMP
echo "DROP DATABASE $1;"  > $1-dump.sql
echo "CREATE DATABASE $1;"  >> $1-dump.sql
echo "USE $1;"  >> $1-dump.sql
awk 'BEGIN {RS=""}; /create table/' $FTEMP | grep -v revoke >> $1-dump.sql


awk '/{ TABLE/ {printf $3}; /{ unload file/ {print " " $6}' $FTEMP |
while read i j
do
	echo "INSERT INTO $i VALUES " >> $1-dump.sql
	sed -e 's/^/("/g' -e 's/|/","/g' -e 's/,"$/),/' -e '$s/,$//' $1.exp/$j >> $1-dump.sql
	echo ";" >> $1-dump.sql
done
rm $FTEMP
